import event from '~/mixins/event'
import share from '~/mixins/share'
import {
    formatDate
} from '~/utils/util'
import reachBottom from '~/mixins/reachBottom';
import {
    getSaleInvite
} from '~/api/sale'
Page({
    behaviors: [reachBottom, share, event],
    data: {
        dateTime: formatDate(new Date(), 6),
    },
    onLoad(options) {
       
        this.resetData();
    },
    bindDateChange(e) {
        this.setData({
            dateTime: e.detail.value
        })
        this.resetData()
    },
    openInvite() {
        this.selectComponent("#InvitePop").openInvite()
    },
    loadMore() {
        this.getData(getSaleInvite, {
            dateTime: this.data.dateTime,
            pageSize: 20,
        });
    },
})